appleseed Users Forum

Blenderseed Linux crash


#1

I am useing linux mint 19.1 xfce.Blenderseed latest version crash when activating the addon in blender 2.79b stable build.


#2

For Linux, unfortunately, we don’t have that many binary builds. It is more difficult to build them than under Windows, requiring among other things a static build of the exact same version of Python that Blender uses internally.

Here is a link to a build from December 2018 which is more recent than the official blenderseed 2.0.0-beta:
https://www.dropbox.com/s/jq50sd0fs55wmx0/blenderseed-master-linux64-20181203.zip?dl=1


#3

You downloaded Blender stable directly from Blender.org?
Or, did you install blender via deb sources (apt install blender)?


#4

Directly from blender.org


#5

On Blender . org, there are two areas where I can download blender.

I had similar issues with Blender from nightly builds. It crashes immediately. Jonathan told me, that there is a Python Version mismatch. That was the problem.

Nightly experimental Blender build uses Python version 3.7,

Regular Blender Download uses Python version 3.5.3

You can check which Python version used in Blenders Python interactive console, first line.

Comparison of nightly build and regular build …


#6

Hi, I’m having the same issue, I downloaded my Blender 2.79b from the Ubuntu Software application that comes bundled with Ubuntu. It looks like Blender is using Python 3.6.7 -here’s what Blender’s terminal output says:
addon_utils.disable: blenderseed not disabled.
addon_utils.disable: blenderseed not disabled.
Modules Installed (blenderseed) from ‘/home/theangerspecialist/Downloads/blenderseed-master-linux64-20181203.zip’ into ‘/home/theangerspecialist/.config/blender/2.79/scripts/addons’
[appleseed] Python path set to: /home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib
RNA_def_struct_ui_text: ‘Class for appleseed node tree.’ description from ‘AppleseedOSLNodeTree’ ‘’ ends with a ‘.’ !
Writing: /tmp/blender.crash.txt
Segmentation fault (core dumped)

And from blender.crash.txt:

# Blender 2.79 (sub 0), Unknown revision
bpy.data.window_managers["WinMan"].addon_search = "app"  # Property
Modules Installed (blenderseed) from '/home/theangerspecialist/Downloads/blenderseed-master-linux64-20181203.zip' into '/home/theangerspecialist/.config/blender/2.79/scripts/addons'  # Info

# backtrace
blender(BLI_system_backtrace+0x33) [0x55df16849833]
blender(+0x103fee3) [0x55df15dd3ee3]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20) [0x7f70cb776f20]
/usr/lib/x86_64-linux-gnu/libboost_filesystem.so.1.65.1(_ZNK5boost10filesystem4path8filenameEv+0x40) [0x7f70c8ca6f70]
/usr/lib/x86_64-linux-gnu/libboost_filesystem.so.1.65.1(_ZNK5boost10filesystem4path9extensionEv+0x2c) [0x7f70c8ca7f3c]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/../libappleseed.so(_ZN16OpenImageIO_v1_810Filesystem9extensionERKSsb+0x2d) [0x7f706cefe82d]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/../libappleseed.so(_ZN8OSL_v1_98OSLQuery4openEN16OpenImageIO_v1_811string_viewES2_+0xc9) [0x7f706d7d85b9]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/../libappleseed.so(_ZN8renderer11ShaderQuery4openEPKc+0x123) [0x7f706cd2d4c3]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/_appleseedpython3.so(+0x18b560) [0x7f70711df560]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/_appleseedpython3.so(_ZNK5boost6python7objects8function4callEP7_objectS4_+0xca) [0x7f707125c0ea]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/_appleseedpython3.so(+0x208458) [0x7f707125c458]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/_appleseedpython3.so(_ZN5boost6python21handle_exception_implENS_9function0IvEE+0x53) [0x7f7071266563]
/home/theangerspecialist/.config/blender/2.79/scripts/addons/blenderseed/appleseed/lib/appleseed/_appleseedpython3.so(+0x206d63) [0x7f707125ad63]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(_PyObject_FastCallDict+0x89) [0x7f70d3587a99]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17bae8) [0x7f70d349aae8]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(_PyEval_EvalFrameDefault+0x4ec2) [0x7f70d34a1092]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17a4a3) [0x7f70d34994a3]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17beeb) [0x7f70d349aeeb]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(_PyEval_EvalFrameDefault+0x4ec2) [0x7f70d34a1092]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17a4a3) [0x7f70d34994a3]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17beeb) [0x7f70d349aeeb]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(_PyEval_EvalFrameDefault+0x4ec2) [0x7f70d34a1092]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17a4a3) [0x7f70d34994a3]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17beeb) [0x7f70d349aeeb]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(_PyEval_EvalFrameDefault+0x4ec2) [0x7f70d34a1092]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17a4a3) [0x7f70d34994a3]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17beeb) [0x7f70d349aeeb]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(_PyEval_EvalFrameDefault+0x4ec2) [0x7f70d34a1092]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17b63f) [0x7f70d349a63f]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17bd1e) [0x7f70d349ad1e]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(_PyEval_EvalFrameDefault+0x3c95) [0x7f70d349fe65]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x17b63f) [0x7f70d349a63f]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(PyEval_EvalCodeEx+0x3e) [0x7f70d349b0fe]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(+0x23c782) [0x7f70d355b782]
/usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0(PyObject_Call+0x48) [0x7f70d35882d8]
blender(+0x1475544) [0x55df16209544]
blender(+0x1a2bcc6) [0x55df167bfcc6]
blender(+0x1047d5a) [0x55df15ddbd5a]
blender(+0x10481c2) [0x55df15ddc1c2]
blender(+0x1242143) [0x55df15fd6143]
blender(+0x12533aa) [0x55df15fe73aa]
blender(+0x10497dc) [0x55df15ddd7dc]
blender(+0x1049c68) [0x55df15dddc68]
blender(wm_event_do_handlers+0x1e5) [0x55df15dddf85]
blender(WM_main+0x18) [0x55df15dd4ce8]
blender(main+0x38f) [0x55df15d93c8f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7) [0x7f70cb759b97]
blender(_start+0x2a) [0x55df15dd0b2a]

Anyways, looks like I’ll just have to download a new Blender to get this working. I hope my crash logs are helpful somehow.


#7

Installing the stable build fixed it. Thanks!


#8

We only support Blender 2.79b official under Linux.
Unfortunately, Blender switched during its 2.79 release cycle several Python versions (3.4 to 3.7) making it difficult for add-ons to keep compatibility. Our plugin needs to be compiled against the exact same Python version Blender uses to work.